Get Conversation
curl --request GET \
--url https://api.conduit.ai/v1/conversations/lookup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conduit.ai/v1/conversations/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conduit.ai/v1/conversations/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/conversations/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/conversations/lookup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.conduit.ai/v1/conversations/lookup")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/conversations/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"conversation": {
"id": "<string>",
"workspace_id": "<string>",
"contact": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"image_url": "<string>",
"inbox_type_id": "<string>"
},
"channel": "<string>",
"archived": true,
"ai_paused": true,
"status": "<string>",
"waiting_on": "<string>",
"follow_up_at": "<string>",
"assignee": {
"user_id": "<string>",
"member_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"role": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"picture_url": "<string>"
},
"assigned_at": "2023-11-07T05:31:56Z",
"assigned_by": {
"kind": "user",
"user_id": "<string>",
"workflow_id": "<string>",
"workflow_execution_id": "<string>"
},
"authorship": {
"principal": {
"kind": "user",
"userId": "<string>"
},
"via": "direct",
"actor": {
"kind": "agent",
"agentId": "<string>"
}
},
"reservation": {
"id": "<string>",
"listing_id": "<string>",
"status": "<string>",
"guest_name": "<string>",
"check_in": "<string>",
"check_out": "<string>"
},
"last_message_at": "<string>",
"last_message_preview": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"summary": "<string>",
"sentiment": "<string>",
"customer_sentiment_score": 123,
"support_service_quality_score": 123,
"stay_quality_score": 123,
"cx_score_reasoning": "<string>",
"sentiment_history": [
{
"sentiment": "<string>",
"customer_sentiment_score": 123,
"support_service_quality_score": 123,
"stay_quality_score": 123,
"cx_score_reasoning": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"last_message_id": "<string>"
}
]
},
"messages": [
{
"messageId": "<string>",
"role": "user",
"content": "<string>",
"timestamp": "<string>",
"sortKey": "<string>",
"channel": "<string>",
"status": "sent",
"dedupKey": "<string>",
"subject": "<string>",
"email": {
"to": [
{
"address": "<string>",
"name": "<string>"
}
],
"cc": [
{
"address": "<string>",
"name": "<string>"
}
],
"from": {
"address": "<string>",
"name": "<string>"
},
"reply_to": {
"address": "<string>",
"name": "<string>"
},
"workspace_mailbox": "<string>",
"workspace_recipient_type": "to"
},
"attachments": [
{
"url": "<string>",
"content_type": "<string>",
"name": "<string>"
}
],
"contactId": "<string>",
"senderName": "<string>",
"isIncoming": true,
"isSentByAutopilot": true,
"senderUserId": "<string>",
"agent": {
"id": "<string>",
"name": "<string>"
},
"widgetWebsiteUrl": "<string>"
}
],
"nextCursor": "<string>"
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Conversations
Get conversation
Read a conversation’s details and a page of its messages, by contact or by ticket.
GET
/
v1
/
conversations
/
lookup
Get Conversation
curl --request GET \
--url https://api.conduit.ai/v1/conversations/lookup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conduit.ai/v1/conversations/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conduit.ai/v1/conversations/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/conversations/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/conversations/lookup"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.conduit.ai/v1/conversations/lookup")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/conversations/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"conversation": {
"id": "<string>",
"workspace_id": "<string>",
"contact": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"image_url": "<string>",
"inbox_type_id": "<string>"
},
"channel": "<string>",
"archived": true,
"ai_paused": true,
"status": "<string>",
"waiting_on": "<string>",
"follow_up_at": "<string>",
"assignee": {
"user_id": "<string>",
"member_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"role": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"picture_url": "<string>"
},
"assigned_at": "2023-11-07T05:31:56Z",
"assigned_by": {
"kind": "user",
"user_id": "<string>",
"workflow_id": "<string>",
"workflow_execution_id": "<string>"
},
"authorship": {
"principal": {
"kind": "user",
"userId": "<string>"
},
"via": "direct",
"actor": {
"kind": "agent",
"agentId": "<string>"
}
},
"reservation": {
"id": "<string>",
"listing_id": "<string>",
"status": "<string>",
"guest_name": "<string>",
"check_in": "<string>",
"check_out": "<string>"
},
"last_message_at": "<string>",
"last_message_preview": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"summary": "<string>",
"sentiment": "<string>",
"customer_sentiment_score": 123,
"support_service_quality_score": 123,
"stay_quality_score": 123,
"cx_score_reasoning": "<string>",
"sentiment_history": [
{
"sentiment": "<string>",
"customer_sentiment_score": 123,
"support_service_quality_score": 123,
"stay_quality_score": 123,
"cx_score_reasoning": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"last_message_id": "<string>"
}
]
},
"messages": [
{
"messageId": "<string>",
"role": "user",
"content": "<string>",
"timestamp": "<string>",
"sortKey": "<string>",
"channel": "<string>",
"status": "sent",
"dedupKey": "<string>",
"subject": "<string>",
"email": {
"to": [
{
"address": "<string>",
"name": "<string>"
}
],
"cc": [
{
"address": "<string>",
"name": "<string>"
}
],
"from": {
"address": "<string>",
"name": "<string>"
},
"reply_to": {
"address": "<string>",
"name": "<string>"
},
"workspace_mailbox": "<string>",
"workspace_recipient_type": "to"
},
"attachments": [
{
"url": "<string>",
"content_type": "<string>",
"name": "<string>"
}
],
"contactId": "<string>",
"senderName": "<string>",
"isIncoming": true,
"isSentByAutopilot": true,
"senderUserId": "<string>",
"agent": {
"id": "<string>",
"name": "<string>"
},
"widgetWebsiteUrl": "<string>"
}
],
"nextCursor": "<string>"
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Authorizations
Query Parameters
Was this page helpful?